const express = require('express');
const recQR = require('../utils/qrRec');
const { setHeader, setJSONResponse } = require('../utils/res');
const router = express.Router();

router.post('/', function(req, res, next) {
  const { file } = req.files;
  const tmp_path = file.path;
  setHeader(res, 'content-type', 'application/json;charset=utf-8');
  setHeader(res, 'Access-Control-Allow-Origin', '*');
  recQR(tmp_path)
    .then(data => {
      setJSONResponse(res, {
        ret: 0,
        data: data
      });
    })
    .catch(err => {
      setJSONResponse(res, {
        ret: -1
      });
    });
});

module.exports = router;